### R code from vignette source 'causalsens.Rnw'

###################################################
### code chunk number 1: setup
###################################################
# set global chunk options
library(knitr)
opts_chunk$set(fig.path='figure/minimal-', fig.align='center', fig.show='hold',dev='pdf', dev.args=list(family="Palatino"))
options(replace.assign=TRUE,width=90)
#render_listings()


###################################################
### code chunk number 2: loaddata
###################################################
library(causalsens)
data(lalonde.exp)


###################################################
### code chunk number 3: outcomemodel
###################################################
ymodel <- lm(re78 ~ treat+age + education + black + hispanic + married +
             nodegree + re74 + re75 + u74 + u75, data = lalonde.exp)
summary(ymodel)


###################################################
### code chunk number 4: pscoremodel
###################################################
pmodel <- glm(treat ~ age + education + black + hispanic + married +
              nodegree + re74 + re75 + u74 + u75, data = lalonde.exp,
              family = binomial())
summary(pmodel)


###################################################
### code chunk number 5: causalsens
###################################################
alpha <- seq(-4500, 4500, by = 250)
ll.sens <- causalsens(ymodel, pmodel, ~ age + education, data = lalonde.exp,
                      alpha = alpha, confound = one.sided.att)


###################################################
### code chunk number 6: sensplot (eval = FALSE)
###################################################
## par(mfrow=c(1,2))
## plot(ll.sens, type = "raw", bty = "n")
## plot(ll.sens, type = "r.squared", bty = "n")


###################################################
### code chunk number 7: sensplot
###################################################



